/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                  projet Estime, INRIA-Rocquencourt                  */
/*                                                                     */
/*  Copyright 2004-2011 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/********************************************************************************/
/*                                                                              */
/*                                  Pio (C++)                                   */
/*                                                                              */
/*                        Polyglot Input/Output Library                         */
/*                                                                              */
/*                      projet Estime, INRIA-Rocquencourt                       */
/*                                                                              */
/*  Copyright 2004-2011 INRIA.                                                  */
/*  Institut National de Recherche en Informatique et en Automatique.           */
/*  All rights reserved. This file is distributed only by permission.           */
/*                                                                              */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                                */
/*                                                                              */
/********************************************************************************/

/***********************************************************************/
/*                                                                     */
/*                              Io (C++)                               */
/*                                                                     */
/*                  projet Estime, INRIA-Rocquencourt                  */
/*                                                                     */
/*  Copyright 2005-2006 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: phrase.hpp,v 1.3 2011-02-23 17:43:29 fclement Exp $ */

#include "typed_value.hpp"

#ifndef _PHRASE_H
#define _PHRASE_H

namespace io{
  
  class Phrase{
    vector<Typed_value>  _values;
  public:
    Phrase();
    virtual ~Phrase();
    Phrase(vector<Typed_value> &);
    Phrase(const Typed_value &);
    void add(const Typed_value &);
    vector<Typed_value>& values();
  };
  
  
}


#endif
