#include "common.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int string_cmp (struct string *s1, struct string *s2) {
  if (s1->ssize != s2->ssize)
    return ((int) s1->ssize - (int) s2->ssize);
  return strncmp (s1->str, s2->str, s1->ssize);
}
int sstring_cmp (struct string s1, struct string s2) {
  return string_cmp (&s1, &s2);
}

bool binary_mode = true, report_mode = false, debug_mode = false;

/* XXX this should raise an exn / longjmp somewhere */
void failwith (const char *msg) {
  fprintf (stderr, "%s\n", msg);
  abort ();
}

/* This must be called when the implementation detects an internal incoherency */
/* XXX cf pio_fatal_error in pio_debug.c */
void invalid_argument (const char *msg) {
  fprintf (stderr, "%s\n", msg);
  abort ();
}
