(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2007-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: install_data.mli,v 1.8.2.1 2011-09-21 13:08:03 fclement Exp $ *)

type compiler = {
  byt : string;
  bin : string;
};;

val ocaml_compiler : compiler;;
val mk_pp_cmd : string -> string;;
val camlp45_pa_skl : string;;
val install_root_dir : string;;
val lib_root_dir : string;;
val mk_lib_subdir : string -> string;;
